| #
8cf30809 |
| 29-Feb-2008 |
Bartlomiej Sieka <tur@semihalf.com> |
[new uImage] Add libfdt support to mkimage
Signed-off-by: Bartlomiej Sieka <tur@semihalf.com>
|
| #
e18489e8 |
| 29-Feb-2008 |
Marian Balakowicz <m8@semihalf.com> |
Merge branch 'master' of git://www.denx.de/git/u-boot into new-image
|
| #
b29661fc |
| 24-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Coding style cleanup. Prepare v1.3.2-rc2 release candidate
Signed-off-by: Wolfgang Denk <wd@denx.de>
|
| #
55c802eb |
| 22-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge branch 'master' of git://www.denx.de/git/u-boot-coldfire
|
| #
16fe7775 |
| 18-Feb-2008 |
Mike Frysinger <vapier@gentoo.org> |
error check autoconf.mk generation
If any of the steps for generating autoconf.mk fail currently, they go unnoticed. To fix, we can simply add 'set -e' to the long list of commands. This is simpler
error check autoconf.mk generation
If any of the steps for generating autoconf.mk fail currently, they go unnoticed. To fix, we can simply add 'set -e' to the long list of commands. This is simpler and more robust than placing '|| exit $$?' after every line.
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
show more ...
|
| #
019895a8 |
| 18-Feb-2008 |
Stefano Babic <sbabic@denx.de> |
Fix bug in dependency checking
By adding VERSION_FILE to the PHONY targets the script /tools/setlocalversion is always called and version_autogenerated.h is replaced only if the script find a modifi
Fix bug in dependency checking
By adding VERSION_FILE to the PHONY targets the script /tools/setlocalversion is always called and version_autogenerated.h is replaced only if the script find a modified source file.
Signed-off-by: Stefano Babic <sbabic@denx.de>
show more ...
|
| #
f65c9812 |
| 16-Feb-2008 |
Mike Frysinger <vapier@gentoo.org> |
Makefile: add target for $(LDSCRIPT)
If the $(LDSCRIPT) does not exist (normally it's board/$(BOARD)/u-boot.lds), then change into the board directory and try and create it. This allows you to gene
Makefile: add target for $(LDSCRIPT)
If the $(LDSCRIPT) does not exist (normally it's board/$(BOARD)/u-boot.lds), then change into the board directory and try and create it. This allows you to generate the linker script on the fly based upon board defines (like the Blackfin boards do).
There should be no regressions due to this change as the normal case is to already have a u-boot.lds file. If that's the case, then there's nothing to generate, and so make will always exit. The fix here is that if the linker script does not exist, the implicit rules take over and attempt to guess how to generate the file.
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
show more ...
|
| #
20c93959 |
| 21-Feb-2008 |
Marian Balakowicz <m8@semihalf.com> |
Merge branch 'master' of /home/git/u-boot
|
| #
4d264eff |
| 30-Jan-2008 |
TsiChungLiew <Tsi-Chung.Liew@freescale.com> |
ColdFire: Fix missing code flash size for M5485EVB
Signed-off-by: James Mahan <kmahan@freescale.com> Signed-off-by: TsiChung Liew <Tsi-Chung.Liew@freescale.com>
|
| #
5db61385 |
| 15-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge branch 'master' of git://www.denx.de/git/u-boot-arm
|
| #
faf8f9bc |
| 15-Feb-2008 |
Peter Pearse <peter.pearse@arm.com> |
Merge branch '080202_at91rm9200dk' of git://linux-arm.org/u-boot-armdev
|
| #
d7d9afa4 |
| 15-Feb-2008 |
Peter Pearse <peter.pearse@arm.com> |
Merge branch '080131_artila' of git://linux-arm.org/u-boot-armdev
|
| #
ae92069a |
| 15-Feb-2008 |
Peter Pearse <peter.pearse@arm.com> |
Merge branch '080116_at91cap9' of git://linux-arm.org/u-boot-armdev
|
| #
e42d2b04 |
| 15-Feb-2008 |
Peter Pearse <peter.pearse@arm.com> |
Merge branch '070524_netstar' of git://linux-arm.org/u-boot-armdev
|
| #
45da195c |
| 14-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge branch 'master' of git+ssh://10.10.0.7/home/wd/git/u-boot/master
|
| #
67a4389e |
| 14-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Prepare v1.3.2-rc1 release candidate
|
| #
a4d60bb9 |
| 14-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge ../custodians
|
| #
32c70d34 |
| 14-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge branch 'master' of git://www.denx.de/git/u-boot-ppc4xx
|
| #
6f99eec3 |
| 14-Feb-2008 |
Wolfgang Denk <wd@denx.de> |
Merge branch 'master' of git://www.denx.de/git/u-boot-blackfin
Conflicts:
Makefile doc/README.standalone
Signed-off-by: Wolfgang Denk <wd@denx.de>
|
| #
0ec7a061 |
| 04-Feb-2008 |
Mike Frysinger <vapier@gentoo.org> |
only update version header as needed
Constantly rebuilding the version header will force useless relinking, so we simply need to compare the new header with the existing one before updating it.
Sig
only update version header as needed
Constantly rebuilding the version header will force useless relinking, so we simply need to compare the new header with the existing one before updating it.
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
show more ...
|
| #
751b9b51 |
| 17-Jan-2008 |
Kyungmin Park <kmpark@infradead.org> |
OneNAND Initial Program Loader (IPL) support
This patch enables the OneNAND boot within U-Boot. Before this work, we used another OneNAND IPL called X-Loader based on open source. With this work, we
OneNAND Initial Program Loader (IPL) support
This patch enables the OneNAND boot within U-Boot. Before this work, we used another OneNAND IPL called X-Loader based on open source. With this work, we can build the oneboot.bin image without other program.
The build sequence is simple. First, it compiles the u-boot.bin Second, it compiles OneNAND IPL Finally, it becomes the oneboot.bin from OneNAND IPL and u-boot.bin The mechanism is similar with NAND boot except it boots from itself.
Another thing is that you can only use the OneNAND IPL only to work other bootloader such as RedBoot and so on.
Signed-off-by: Kyungmin Park <kyungmin.park@samsung.com>
show more ...
|
| #
746c4b94 |
| 14-Feb-2008 |
Jon Loeliger <jdl@freescale.com> |
Merge commit 'wd/master'
|
| #
3f2175fa |
| 14-Feb-2008 |
Andy Fleming <afleming@freescale.com> |
Merge branch 'denx'
|
| #
f90e69c6 |
| 14-Feb-2008 |
Stefan Roese <sr@denx.de> |
Merge branch 'for-1.3.2'
|
| #
65230107 |
| 22-Feb-2008 |
Haavard Skinnemoen <hskinnemoen at> |
Move AT91RM9200DK board support under board/atmel
We already have a vendor subdir for Atmel, so we should use it.
Signed-off-by: Haavard Skinnemoen <hskinnemoen <at> atmel.com>
|